{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Poetry: hopctl bundle",
      "type": "python",
      "request": "launch",
      "module": "poetry",
      "subProcess": true,
      "args": [
        "run",
        "hopctl",
        "bundle",
        "test/resources/manifest/integration/combined-manifest.yml",
        "--transfer",
        "test/resources/transfer/transfer-test.yml",
        "--credentials",
        "test/resources/credential/cred-test.yml",
        "--verbose"
      ],
      "console": "integratedTerminal",
      "justMyCode": true,
      "cwd": "${workspaceFolder}",
      "envFile": "",
      "env": {}
    },

    {
      "name": "Python: hopctl bundle",
      "type": "python",
      "request": "launch",
      "module": "hoppr",
      "python": "${command:python.interpreterPath}",
      "subProcess": true,
      "args": [
        "bundle",
        "test/resources/manifest/integration/combined-manifest.yml",
        "--transfer",
        "test/resources/transfer/transfer-test.yml",
        "--credentials",
        "test/resources/credential/cred-test.yml",
        "--verbose"
      ],
      "console": "integratedTerminal",
      "justMyCode": true,
      "cwd": "${workspaceFolder}",
      "envFile": "",
      "env": {}
    },

    {
      "name": "Python: npm hopctl bundle",
      "type": "python",
      "request": "launch",
      "module": "hoppr",
      "python": "${command:python.interpreterPath}",
      "subProcess": true,
      "args": [
        "bundle",
        "test/integration/npm/manifest.yml",
        "--transfer",
        "test/integration/npm/transfer.yml",
        "--verbose"
      ],
      "console": "integratedTerminal",
      "justMyCode": true,
      "cwd": "${workspaceFolder}",
      "envFile": "",
      "env": {}
    },

    {
      "name": "Python: Debug Unit Tests",
      "type": "python",
      "request": "launch",
      "program": "${file}",
      "purpose": ["debug-test"],
      "console": "integratedTerminal",
      "justMyCode": false,
      "env": {
        "PYTEST_ADDOPTS": "--no-cov"
      }
    }
  ]
}
